eurosignal(1)

NAME
eurosignal - http://osmocom-analog.eversberg.eu/docs/

SYNOPSIS
eurosignal -k <kanal/channel> [--random] [options] [station_id]

DESCRIPTION
[0;33m[1;32mDOPTIONS[0;m[0;33m [1;32mINFO[0;m[0;33m options.c:128 Config file '/build/osmocom-analog-pdpgXJ/osmocom-analog-0.0/debian/.debhelper/generated/_source/home/.osmocom/analog/eurosignal.conf' seems not to exist, using command line options only.[0;m [0;33m[1;32mDOPTIONS[0;m[0;33m [1;32mINFO[0;m[0;33m options.c:296 Command line option '--help'[0;m

  Global options:

-h --help

    This help

--config [~/]<path to config file>

    Give a config file to use. If it starts with '~/', path is at home dir. Each line in config file is one option, '-' or '--' must not be given! Default: '~/.osmocom/analog/eurosignal.conf'

--no-config

    Even if a config file exists, don't use it.

-v --verbose <level> | <level>,<category>[,<category>[,...]] | list

    Use 'list' to get a list of all levels and categories. Verbose level: digit of debug level (default = '3') Verbose level+category: level digit followed by one or more categories -> If no category is specified, all categories are selected

-v --verbose date

    Show date with debug output

-k --kanal <channel>

-k --channel <channel>

    Channel (German = Kanal) number of "Sender" (German = Transceiver)

-a --audio-device hw:<card>,<device>[/hw:<card>.<rec-device>]

    Sound card and device number (default = 'hw:0,0') You may specify a different recording device by using '/'. Don't set it for SDR!

-s --samplerate <rate>

    Sample rate of sound device (default = '48000')

-i --interval 0.1..25

    Interval of processing loop in ms (default = '1.0' ms) Use 10 to drastically reduce CPU usage. In case of buffer underrun, increase buffer accordingly.

-b --buffer <ms>

    How many milliseconds are processed in advance (default = '50') A buffer below 10 ms requires low interval like 0.1 ms.

--rx-gain <dB>

    Raise/lower receiver's RX level by given gain in dB. (Works with sound card only.)

--tx-gain <dB>

    Raise/lower transmitters's RX level by given gain in dB. (Works with sound card only.)

-e --echo-test

    Use echo test, to send back audio from mobile phone's microphone to the speaker. (German: 'Blasprobe').

-c --call-device hw:<card>,<device>[/hw:<card>.<rec-device>]

    Sound card and device number for headset (default = '') You may specify a different recording device by using '/'.

--call-samplerate <rate>

    Sample rate of sound device for headset (default = '48000')

--call-buffer <ms>

    How many milliseconds are processed in advance (default = '50')

-x --osmocc-cross

    Enable built-in call forwarding between mobiles. Be sure to have at least one control channel and two voice channels. Alternatively use one combined control+voice channel and one voice channels.

-o --osmocc-sock

    Disable built-in call control and offer socket

--cc "<osmo-cc arg>" [--cc ...]

    Pass arguments to Osmo-CC endpoint. Use '-cc help' for description.

--no-l16

    Disable L16 (linear 16 bit) codec.

-t --tones 0 | 1

    Connect call on setup/release to provide classic tones towards fixed network (default = '1')

-l --loopback <type>

    Loopback test: 1 = internal | 2 = external | 3 = echo

-r --realtime <prio>

    Set prio: 0 to disable, 99 for maximum (default = 0)

--fast-math

    Use fast math approximation for slow CPU / ARM based systems.

--write-rx-wave <file>

    Write received audio to given wave file.

--write-tx-wave <file>

    Write transmitted audio to given wave file.

--read-rx-wave <file>

    Replace received audio by given wave file.

--read-tx-wave <file>

    Replace transmitted audio by given wave file.

--limesdr

    Auto-select several required options for LimeSDR

--limesdr-mini

    Auto-select several required options for LimeSDR Mini

  SDR options:

--sdr-soapy

    Force SoapySDR driver

--sdr-channel <channel #>

    Give channel number for multi channel SDR device (default = 0)

--sdr-device-args <args>

--sdr-stream-args <args>

--sdr-tune-args <args>

    Optional SDR device arguments, separated by comma e.g. --sdr-device-args <key>=<value>[,<key>=<value>[,...]]

--sdr-samplerate <samplerate>

    Sample rate to use with SDR. By default it equals the regular sample rate.

--sdr-lo-offset <Hz>

    Give frequency offset in Hz to move the local oscillator away from the target frequency. (default = -1000000)

--sdr-bandwidth <bandwidth>

    Give IF filter bandwidth to use. If not, sample rate is used.

--sdr-rx-antenna <name>

    SDR device's RX antenna name, use 'list' to get a list

--sdr-tx-antenna <name>

    SDR device's TX antenna name, use 'list' to get a list

--sdr-clock-source <name>

    SDR device's clock sourc name, use 'list' to get a list

--sdr-rx-gain <gain>

    SDR device's RX gain in dB (default = 0.0)

--sdr-tx-gain <gain>

    SDR device's TX gain in dB (default = 0.0)

--write-iq-rx-wave <file>

    Write received IQ data to given wave file.

--write-iq-tx-wave <file>

    Write transmitted IQ data to given wave file.

--read-iq-rx-wave <file>

    Replace received IQ data by given wave file.

--read-iq-tx-wave <file>

    Replace transmitted IQ data by given wave file.

--sdr-swap-links

    Swap RX and TX frequencies for loopback tests over the air.

--sdr-timestamps 1 | 0

    Use TX timestamps on UHD device. (default = 1)

  Network specific options:

-F --fm

    Use frequency modulation instead of amplitude modulation. The carrier frequency will be 7.5 KHz above/below the actual frequency. This ensures that the change in frequency results as a change in amplitude at the demodulator of the receiver.

-T --tx

    Transmit Eurosignal on given channel, to page a receiver. (default)

-R --rx

    Receive Eurosignal on given channel, so we are the receiver. If none of the options -T nor -R is given, only transmitter is enabled.

-I --id <id> [-I ...]

    Give one or more IDs to allow only the given IDs to be transmitted and received. This option can be repeated many times. If this option is not specified, any ID is allowed to transmit. Also, any given ID will cause a beep when received. This requires call device (sound card) to be defined or MNCC interface. (The caller ID will be the received pager ID. The called number will be '1' for the first ID given, '2' for scond, ...)

-D --degraded

    Play the announcement that the system is degraded due to failure of one or more transmitters. If the caller hangs up during or right after the announcement, no paging is performed.

-S --scan <from> <to>

    Scan through given IDs once (no repetition). This can be useful to find the ID of a vintage receiver. Note that scanning all IDs from 000000 through 999999 would take almost 10 Days.

--random

    Repeat some pseudo random IDs, to make the transmitted signal sound authentic and as it would handle many calls. It will still be possible to page a recevier.

--repeat <num>

    Repead paging ID <num> times when transmitting. (default = 4)

station_id: Give 6 digits of station ID,

    so you don't need to enter it for every start of this application. Give 6 digits for number. You may use '0279xxxxxx' as prefix. You may use '+49279xxxxxx' as prefix. You may use '0509xxxxxx' as prefix. You may use '+49509xxxxxx' as prefix. You may use '0709xxxxxx' as prefix. You may use '+49709xxxxxx' as prefix.

Press digits '0'..'9' and then 'd' key to dial towards mobile station. Press 'h' key to hangup. Press 'w' key to toggle display of RX wave form. Press 'c' key to toggle display of channel status. Press 'm' key to toggle display of measurement value. Press 'q' key to toggle display of RX I/Q vector. Press 's' key to toggle display of RX spectrum. Press 'b' key to remove DC level.

[0;33m[1;31mDOPTIONS[0;m[0;33m [1;31mERROR[0;m[0;33m options.c:302 Given command line option '--version' is not a valid option, use '-h' for help![0;m

SEE ALSO
The full documentation for [0;33m[1;32mDOPTIONS[0;m[0;33m is maintained as a Texinfo manual. If the info and [0;33m[1;32mDOPTIONS[0;m[0;33m programs are properly installed at your site, the command

    info [0;33m[1;32mDOPTIONS[0;m[0;33m

should give you access to the complete manual.